> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/appendix/json-object/recurring-object.md).

# Recurring Object

| No | Name         | Type                                                      | Mandatory | Min Length | Max Length | Description                                                         |
| -- | ------------ | --------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------------------------- |
| 1  | productCode  | String                                                    | O         | 1          | 6          | Recurring productCode                                               |
| 2  | type         | [Enum](/appendix/enumeration/recurring-type-list.md)      | C         | 1          | 6          | Recurring type. Mandatory while recurring.subscribe is Y            |
| 3  | id           | String                                                    | C         | 1          | 30         | Recurring id. Mandatory while recurring.subscribe is Y              |
| 4  | amount       | Numeric                                                   | C         | 1          | 14         | Recurring amount. Mandatory while recurring.type in TOPUP, PURCHASE |
| 5  | interval     | Numeric                                                   | O         | 1          | 2          | Recurring interval                                                  |
| 6  | intervalUnit | [Enum](/appendix/enumeration/interval-unit-list.md)       | O         | 1          | 20         | Recurring intervalUnit                                              |
| 7  | maxInterval  | Numeric                                                   | O         | 1          | 2          | Recurring maxInterval                                               |
| 8  | startDate    | Date Format (YYYYMMDD)                                    | O         | 8          | 8          | Recurring startDate                                                 |
| 9  | endDate      | Date Format (YYYYMMDD)                                    | O         | 8          | 8          | Recurring endDate                                                   |
| 10 | retry        | [Object](/appendix/json-object/recurring-retry-object.md) | O         | 1          | 3          | Recurring retry                                                     |

```
"recurring": {
    "subscribe":"Y",
    "productCode": "001001",
    "type": "PURCHASE",
    "id": "abcd",
    "amount": "1000",
    "interval": "1",
    "intervalUnit": "monthly",
    "maxInterval": "2",
    "startDate": "20220101",
    "endDate": "20220101",
    "retry": {
        "interval": "1",
        "intervalUnit": "minutes",
        "maxInterval": "1"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/appendix/json-object/recurring-object.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
